Subject: Re: merging git repositories history for full history of linux

From: Junio C Hamano <[email-masked]>
Date: Mon, 24 Mar 2008 12:51:24 -0700

Yoann Padioleau <[email-masked]> writes:

> I would like to merge the 3 git repositories of the history
> of linux, the one by Dave Jones from linux 0.01 to linux 2.4.0, 
> the one by tglx from 2.4.0 to 2.6.12 and the one from 2.6.12
> by torvalds until the last version of Linux.

I think you can install two grafts (one that says the root in tglx history
has one parent that is tip of Dave Jones history, another that says that
the 2.6.12-rc2 commit which is the root in Linus history has one parent
that is near the tip of tglx history), and if you want the result to use
locally then you are done.  Otherwise you can run filter-branch on the
result, but the future commits from Linus tree will all be different.